package com.ruoyi.app.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class ImportDistributeBatchDTO {
    @Excel(name = "检疫证号")
    private String animalCertNo;

    @Excel(name = "血码")
    private String slaughterCode;

    @Excel(name = "数量")
    private Integer amount;

    @Excel(name = "重量")
    private BigDecimal weight;

    @Excel(name = "待宰圈号")
    private String pigpenName;


    public void setAnimalCertNo(String animalCertNo)
    {
        this.animalCertNo = animalCertNo;
    }

    public String getAnimalCertNo()
    {
        return animalCertNo;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setAmount(Integer amount)
    {
        this.amount = amount;
    }

    public Integer getAmount()
    {
        return amount;
    }

    public void setWeight(BigDecimal weight)
    {
        this.weight = weight;
    }

    public BigDecimal getWeight()
    {
        return weight;
    }

    public void setPigpenName(String pigpenName)
    {
        this.pigpenName = pigpenName;
    }

    public String getPigpenName()
    {
        return pigpenName;
    }

}
